/***************************************************************************
                          ezaddress.h  -  description                              
                             -------------------                                         
    begin                : Tue Aug 17 1999                                           
    copyright            : (C) 1999 by Joe Nelson                         
    email                : 3nelsons@pressenter.com                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef EasyADDRESS_H
#define EasyADDRESS_H

#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <string>
#include <vector>
#include "easyneterror.h"
using namespace std;

/**Encapsulates host names and IP addresses
  *@author Joe Nelson
  */

class EasyAddress {
public:
	EasyAddress(const string& severNameOrIP) throw(EasyNetError);

	/** Returns all the IP addresses that this host is known by */
	vector<string> Addresses() const throw();

	/** Returns a list of all the names this host is known by */
	vector<string> Aliases() const throw();

	/** Returns the host's human-friendly name */
	string Name() const throw();

	~EasyAddress();

private:
	struct hostent *_data;
};

#endif
